
    Add Domain Name Server
 
    You can configure both primary and secondary Domain Name Servers. If
    you configure both an the primary server is busy or down, Enlighten
    will utilize the secondary server. Use the Server Type field to
    select which type you want to configure.

   Server Type

    Use this toggle button to specify whether a primary or secondary DNS
    server is being configured. 


    Primary Server Add Fields

    This window contains the following fields:

    Domain Name

    Use this field to specify the domain name of the new DNS server.

    Primary Server Hostname

    Use this field to enter which host will be the primary domain name
    server. You can also click on the arrow button to the right to pop
    up a pick list of all hosts within the current pool and select one.

    Network I.P. Numbers

    You can use this field to enter the network I.P. Address of the
    subnets the DNS server will manage within the domain. For example,
    if you're managing hosts with the address range 192.57.36.01 through
    192.57.36.254, then you should enter the value 192.57.36 in this
    field.

    Dir. for DNS database files

    Use this field to specify the full directory pathname for the DNS
    database files. The default is /etc/named.

    Pathname to DNS config. files

    Use this field to enter the full pathname for the named.boot file.
    This file is used by the BIND daemon to locate the DNS configuration
    files at system start-up. The default is /etc/named.boot.

    Secondary Name Servers

    You can use this field to specify the hostnames of any secondary
    name servers. Leave a blank space between server names for multiple
    entries.

    Administrator e-mail address

    Use this field to specify the DNS administrator's email address.


    Database serial number

    Use this field to enter the serial number associated with the DNS
    database. The default serial number is 1 (one). This serial number
    is incremented every time the primary database is altered.

    DNS database refresh frequency

    You can use this field to choose how often the secondary DNS
    database serial numbers are checked against the primary DNS database
    numbers. If the serial numbers are different, the secondary DNS
    updates itself. The default value is every three hours.

    DNS query retry frequency

    You can use this field to choose how frequently the secondary DNS
    server will attempt to reconnect with the primary DNS server if the
    initial contact with the primary server failed. The default value is
    every hour.

    DNS data expiry

    You can use this field to choose the maximum time the hostname and
    IP address information will live in a secondary server when the
    Primary server is unreachable. The default value is one week.

    Minimum TTL

    You can use this field to choose the maximum time a cached hostname
    and IP address will live in a DNS server before the secondary server
    contacts the primary server to resynchronize the data. The default
    value is one day.


    Secondary Server Add Fields

    This subsection describes the fields for adding a secondary domain
    name server.

    This window contains the following fields:

  
    Primary Server Hostname

    Use this field to enter the hostname of the primary domain name
    server for which the secondary server is being configured. You can
    also click on the arrow button to the right to pop up a pick list of
    all hosts within the current pool and select one.

    Pathname to Server config. files

    Use this field to enter the full pathname for the named.boot file.
    This file is used by the BIND daemon to locate the server
    configuration files at system start-up. The default is
    /etc/named.boot.

    Secondary Server Hostname

    You can use this field to specify the name of one or more hosts on
    which to configure secondary servers. Leave a blank space between
    server names for multiple entries.

    Directory to DNS database files

    Use this field to specify the full directory pathname for the DNS
    database files. The default is /etc/named.

    Pathname to DNS config. files

    Use this field to enter the full pathname for the named.boot file.
    This file is used by the BIND daemon to locate the DNS configuration
    files at system start-up. The default is /etc/named.boot.

    Add Buttons (both types of servers)

    This window contains the following buttons:

    Apply

    Click on this button to begin the configuration the new DNS server.

    Clear Fields

    Click on this button to clear the existing choices in all fields.

    Cancel

    Click on this button to close the window without making any changes.
